- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Image.cpp File Reference

`#include <osg/GL>`
`#include <osg/GLU>`
`#include <osg/Image>`
`#include <osg/Notify>`
`#include <osg/Geode>`
`#include <osg/Geometry>`
`#include <osg/StateSet>`
`#include <osg/Texture2D>`
`#include <osg/Texture3D>`
`#include "dxtctool.h"`

Include dependency graph for Image.cpp:

## Functions
void | flipImageVertical (unsigned char *top, unsigned char *bottom, unsigned int rowSize)
Geode * | osg::createGeodeForImage (osg::Image *image)
| Convenience function to be used by image loaders to generate a valid geode to return for readNode().
Geode * | osg::createGeodeForImage (osg::Image *image, float s, float t)
| Convenience function to be used by image loaders to generate a valid geode to return for readNode().

## Function Documentation

void flipImageVertical | ( | unsigned char * | top,
|  | unsigned char * | bottom,
|  | unsigned int | rowSize
| ) |